package com.zaojiao.app.data.repo

import com.zaojiao.app.data.model.interactive.InteractiveCountModel
import com.zaojiao.app.data.model.user.UserModel
import kotlinx.coroutines.flow.Flow

interface UserRepository {
    val user: Flow<UserModel?>

    val interactiveCount: Flow<InteractiveCountModel>

    val phoneNumber: Flow<String?>

    val wechatState: Flow<Boolean>

    suspend fun fetchData()

    suspend fun updateUser(userModel: UserModel)

    suspend fun deleteUser()
}